<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Acompanhamento extends Model
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'acompanhamentos';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['descricao', 'idProtocolo', 'idUsuario'];

    public function user()
    {
        return $this->belongsTo('App\Models\User');
    }
    public function protocolo()
    {
        return $this->belongsTo('App\Models\Protocolo');
    }
    public function solicitante()
    {
        return $this->belongsTo('App\Models\Solicitante');
    }

}
